Dell računari imaju ranjivi preinstalirani softver za podršku

Vesti, 06.05.2019, 01:30 AM

Dell računari imaju ranjivi preinstalirani softver za podršku

Ako koristite Dell računar, onda pazite – hakeri mogu daljinski kompromitovati vaš sistem.

Bil Demirkapi, 17-godišnji nezavisni sigurnosni istraživač, otkrio je kritičnu ranjivost pri daljinskom izvršavanju koda u Dell SupportAssist programu koji je instaliran na većini Dell računara.

Dell SupportAssist, ranije poznat kao Dell System Detect, proverava stanje hardvera i softvera vašeg računara.

Ovaj uslužni program je dizajniran za interakciju sa web sajtom za podršku kompanije Dell i automatski otkriva servisnu oznaku ili kod za brzi servis vašeg Dell uređaja, skenira postojeće drajvere i instalira nedostajuća ili dostupna ažuriranja drajvera, i obavlja testove hardverske dijagnostike.

Kako to funkcioniše? Dell SupportAssist u pozadini pokreće web server lokalno na korisničkom sistemu, na portu 8884, 8883, 8886 ili 8885, i prihvata različite komande kao URL parametre za izvođenje nekih predefinisanih zadataka na računaru, kao što je prikupljanje detaljnih informacija o sistemu ili preuzimanje softvera sa udaljenog servera i instalaciju na sistemu.

Iako je ova usluga zaštićena sa „Access-Control-Allow-Origin“ i ima neke provere koje je ograničavaju da prihvata komande samo sa „dell.com“ web sajta ili njegovih poddomena, Demirkapi je na svom blogu objasnio načine za zaobilaženje ovih zaštita.

Demirkapi je objavio video u kome je pokazao kako napadači mogu lako preuzeti i instalirati zlonamerni softver sa udaljenog servera na ranjivima Dell računarima kako bi preuzeli potpunu kontrolu nad njima.

Ranjivost identifikovana kao CVE-2019-3719 utiče na verzije Dell SupportAssist programa pre verzije 3.2.0.90.

Pre objavljivanja detalja o ovoj ranjivosti, Demirkapi je obavestio kompaniju Dell o svom otkriću.

Dell je objavio ažuriranu verziju softvera.

Pored ovog problema, Dell je takođe ispravio još jednu ranjivost (CVE-2019-3718) u softveru SupportAssist koja može omogućiti napadaču CSRF napade na korisničke sisteme.

Dell korisnicima savetuje da ili instaliraju ažurirani Dell SupportAssist 3.2.0.90 ili noviju verziju, ili jednostavno deinstaliraju aplikaciju, ako im nije potrebna, da se ne bi dogodilo da napadači iskoriste ranjivi softver i preuzmu potpunu kontrolu nad njihovim računarima.

Izvor:Informacija.rs